using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;

namespace WpfApplication51
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            this.RadGridView1.ItemsSource = Person.GetSampleListOfPersons();
        }
    }

    public class Person
    {
        public Person(int age, string firstName, string lastName)
        {
            this.Age = age;
            this.FirstName = firstName;
            this.LastName = lastName;
        }

        public int Age { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }

        public static List<Person> GetSampleListOfPersons()
        {
            var persons = new List<Person>
			              	{
			              		new Person(30, "John", "Mith"),
			              		new Person(29, "Jane", "Smi"),
			              		new Person(30, "Peter", "Smih"),
                                new Person(31, "Johnatan", "Smile"),
			              		new Person(25, "Janes", "Smit"),
			              		new Person(34, "Peter", "Smith"),
                                new Person(30, "Jon", "Smith"),
			              		new Person(29, "Jan", "Smith"),
			              		new Person(37, "Pete", "Smith")
			              	};
            return persons;
        }
    }
}
